> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /spotify/shows/episodes

> List the episodes of a Spotify podcast (show) by id, URL or URI

**Price:** 1 credit

**⚠️ Common errors:** 412: Show not found



## OpenAPI

````yaml /openapi/music.json post /api/spotify/shows/episodes
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/spotify/shows/episodes:
    post:
      tags:
        - /spotify
      summary: /spotify/shows/episodes
      description: |-
        List the episodes of a Spotify podcast (show) by id, URL or URI

        **Price:** 1 credit

        **⚠️ Common errors:** 412: Show not found
      operationId: __api_spotify_shows_episodes_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SpotifyShowEpisodesPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SpotifyEpisode'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SpotifyShowEpisodesPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        show:
          type: string
          minLength: 1
        count:
          type: integer
          minimum: 1
        market:
          $ref: '#/components/schemas/SpotifyMarket'
          default: US
      type: object
      required:
        - show
        - count
    SpotifyEpisode:
      properties:
        '@type':
          type: string
          default: SpotifyEpisode
        id:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        uri:
          type: string
        url:
          type: string
        html_description:
          anyOf:
            - type: string
            - type: 'null'
        duration_seconds:
          anyOf:
            - type: integer
            - type: 'null'
        release_date:
          anyOf:
            - type: string
            - type: 'null'
        is_explicit:
          type: boolean
          default: false
        is_video:
          type: boolean
          default: false
        is_playable:
          type: boolean
          default: false
        image:
          anyOf:
            - type: string
            - type: 'null'
        audio_preview_url:
          anyOf:
            - type: string
            - type: 'null'
        show:
          anyOf:
            - $ref: '#/components/schemas/SpotifyShowRef'
            - type: 'null'
      type: object
      required:
        - id
        - uri
        - url
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    SpotifyMarket:
      type: string
      enum:
        - AD
        - AE
        - AG
        - AL
        - AM
        - AO
        - AR
        - AT
        - AU
        - AZ
        - BA
        - BB
        - BD
        - BE
        - BF
        - BG
        - BH
        - BI
        - BJ
        - BN
        - BO
        - BR
        - BS
        - BT
        - BW
        - BY
        - BZ
        - CA
        - CD
        - CG
        - CH
        - CI
        - CL
        - CM
        - CO
        - CR
        - CV
        - CW
        - CY
        - CZ
        - DE
        - DJ
        - DK
        - DM
        - DO
        - DZ
        - EC
        - EE
        - EG
        - ES
        - ET
        - FI
        - FJ
        - FM
        - FR
        - GA
        - GB
        - GD
        - GE
        - GH
        - GM
        - GN
        - GQ
        - GR
        - GT
        - GW
        - GY
        - HK
        - HN
        - HR
        - HT
        - HU
        - ID
        - IE
        - IL
        - IN
        - IQ
        - IS
        - IT
        - JM
        - JO
        - JP
        - KE
        - KG
        - KH
        - KI
        - KM
        - KN
        - KR
        - KW
        - KZ
        - LA
        - LB
        - LC
        - LI
        - LK
        - LR
        - LS
        - LT
        - LU
        - LV
        - LY
        - MA
        - MC
        - MD
        - ME
        - MG
        - MH
        - ML
        - MN
        - MO
        - MR
        - MT
        - MU
        - MV
        - MW
        - MX
        - MY
        - MZ
        - NA
        - NE
        - NG
        - NI
        - NL
        - 'NO'
        - NP
        - NR
        - NZ
        - OM
        - PA
        - PE
        - PG
        - PH
        - PK
        - PL
        - PS
        - PT
        - PW
        - PY
        - QA
        - RO
        - RS
        - RW
        - SA
        - SB
        - SC
        - SE
        - SG
        - SI
        - SK
        - SL
        - SM
        - SN
        - SR
        - ST
        - SV
        - SZ
        - TD
        - TG
        - TH
        - TJ
        - TL
        - TN
        - TO
        - TR
        - TT
        - TV
        - TW
        - TZ
        - UA
        - UG
        - US
        - UY
        - UZ
        - VC
        - VE
        - VN
        - VU
        - WS
        - ZA
        - ZM
        - ZW
    SpotifyShowRef:
      properties:
        '@type':
          type: string
          default: SpotifyShowRef
        id:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        uri:
          type: string
        url:
          type: string
        image:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
        - uri
        - url
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````